> ## Documentation Index
> Fetch the complete documentation index at: https://relivai-63.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# /v0/test-run-sets/{id}

> Retrieves status of the Test Run Set.



## OpenAPI

````yaml get /v0/test-run-sets/{id}
openapi: 3.0.1
info:
  title: Reliv REST API
  description: Reliv REST API
  license:
    name: MIT
  version: 0.1.0
servers:
  - url: https://api.reliv.ai/api
security:
  - bearerAuth: []
paths:
  /v0/test-run-sets/{id}:
    get:
      description: Retrieves status of the Test Run Set.
      parameters:
        - name: id
          in: path
          required: true
          description: Test Run Set ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Success Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TestRunSetStatus'
components:
  schemas:
    TestRunSetStatus:
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - WAITING
            - RUNNING
            - SUCCESS
            - FAIL
        startedAt:
          type: string
          format: date-time
          nullable: true
        endedAt:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        progress:
          type: object
          properties:
            counts:
              type: object
              properties:
                WAITING:
                  type: integer
                RUNNING:
                  type: integer
                SUCCESS:
                  type: integer
                FAIL:
                  type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````